Method: blueGreenDeployments.list

Lists blue-green deployments under a given project.

HTTP request

GET https://sqladmin.googleapis.com/sql/v1beta4/{parent=projects/*/locations/*}/blueGreenDeployments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource whose blue-green deployments are to be listed. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of deployments to return.

pageToken

string

Optional. A page token, received from a previous blueGreenDeployments.list call. Provide this to retrieve the subsequent page.

filter

string

Optional. A filter expression that filters the results.

orderBy

string

Optional. A comma-separated list of fields to order the results by.

Request body

The request body must be empty.

Response body

The response message for listing blue-green deployment resources.

If successful, the response body contains data with the following structure:

JSON representation
{
  "blueGreenDeployments": [
    {
      object (BlueGreenDeployment)
    }
  ],
  "nextPageToken": string
}
Fields
blueGreenDeployments[]

object (BlueGreenDeployment)

The list of blue-green deployment resources.

nextPageToken

string

A token to retrieve the next page of results, or empty if there are no more results.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsql
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/sqlservice.admin

For more information, see the Authentication Overview.